Newsletter Unsubscribe
curl --request POST \
--url https://cms.thepublive.com/publisher/{publisher_id}/newsletter/unsubscribe/ \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"unsubscribe_token": "",
"campaign": ""
}
'import requests
url = "https://cms.thepublive.com/publisher/{publisher_id}/newsletter/unsubscribe/"
payload = {
"email": "<string>",
"unsubscribe_token": "",
"campaign": ""
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', unsubscribe_token: '', campaign: ''})
};
fetch('https://cms.thepublive.com/publisher/{publisher_id}/newsletter/unsubscribe/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Newsletter Unsubscribe
POST
/
publisher
/
{publisher_id}
/
newsletter
/
unsubscribe
/
Newsletter Unsubscribe
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Your Publisher ID
Body
application/json
Response
Unsubscribed
Last modified on August 10, 2026
Was this page helpful?
⌘I